(function () {
    'use strict';

    angular.module('app').service('board', Srv);

    Srv.$inject = ['$q', '$window'];

    function Srv($q, $window) {

        this.getBoardState = getBoardState;
        this.setLight = setLight;
        this.setAlarm = setAlarm;

        function getBoardState() {
            var state = JSON.parse($window.sessionStorage.getItem('BOARD-STATE'));
            return $q.when(state ? state : {});
        }

        function setLight(isOn) {
            var state = getBoardState();
            state.light = isOn;
            saveState(state);
            return $q.when();
        }

        function saveState(state) {
            $window.sessionStorage.setItem('BOARD-STATE', JSON.stringify(state));
        }

        function setAlarm(isOn) {
            var state = getBoardState();
            state.alarm = isOn;
            saveState(state);
            return $q.when();
        }

    }


})();
